Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationScene Class Reference

変換シーン More...

`#include <TranslationScene.h>`

List of all members.

## Public Member Functions
| TranslationScene ()
| コンストラクタ
virtual | ~TranslationScene ()
| デストラクタ
virtual bool | collection ()
| 情報の収集
virtual bool | collectAnimation ()
| アニメーション情報の収集
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual int | clear ()
| クリア

## Detailed Description

変換シーン

Definition at line 51 of file TranslationScene.h.

## Member Function Documentation

int LampForMaya::TranslationScene::clear | ( |  | ) | `[virtual]`

| クリア 強制的にシーン内の全オブジェクトを破棄します Returns: 削除したオブジェクト数 Definition at line 139 of file TranslationScene.cpp. References LampForMaya::TranslationInstanceManager::clear(), LampForMaya::TranslationCameraManager::clear(), LampForMaya::TranslationLightManager::clear(), LampForMaya::TranslationSceneNodeManager::clear(), LampForMaya::TranslationModelManager::clear(), LampForMaya::TranslationMeshManager::clear(), LampForMaya::TranslationMaterialManager::clear(), LampForMaya::TranslationTextureManager::clear(), and LampForMaya::TranslationPictureManager::clear(). Referenced by LampForMaya::LampTranslator::write().

bool LampForMaya::TranslationScene::collectAnimation | ( |  | ) | `[virtual]`

| アニメーション情報の収集 Returns: 成功すればtrue Definition at line 95 of file TranslationScene.cpp. References LampForMaya::TranslationModelManager::collectAnimations(), LampForMaya::TranslationSceneNodeManager::collectAnimations(), and LampForMaya::TranslationCameraManager::collectAnimations(). Referenced by LampForMaya::LampTranslator::write().

bool LampForMaya::TranslationScene::collection | ( |  | ) | `[virtual]`

| 情報の収集 Returns: 成功すればtrue Definition at line 70 of file TranslationScene.cpp. References LampForMaya::TranslationFog::analyze(), LampForMaya::TranslationCameraManager::collectCameras(), LampForMaya::TranslationInstanceManager::collectInstances(), LampForMaya::TranslationLightManager::collectLights(), LampForMaya::TranslationMaterialManager::collectMaterials(), LampForMaya::TranslationModelManager::collectModels(), LampForMaya::TranslationPictureManager::collectPictures(), LampForMaya::TranslationSceneNodeManager::collectSceneNodes(), LampForMaya::TranslationTextureManager::collectTextures(), and LampForMaya::TranslationSceneNodeManager::compilePivot(). Referenced by LampForMaya::LampTranslator::write().

bool LampForMaya::TranslationScene::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 121 of file TranslationScene.cpp. References LampForMaya::TranslationInstanceManager::convertAnimation(), LampForMaya::TranslationCameraManager::convertAnimation(), LampForMaya::TranslationModelManager::convertAnimation(), and LampForMaya::TranslationSceneNodeManager::convertAnimation(). Referenced by LampForMaya::LampTranslator::write().

bool LampForMaya::TranslationScene::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 106 of file TranslationScene.cpp. References LampForMaya::TranslationFog::convertToLamp(), LampForMaya::TranslationInstanceManager::convertToLamp(), LampForMaya::TranslationCameraManager::convertToLamp(), LampForMaya::TranslationSceneNodeManager::convertToLamp(), LampForMaya::TranslationLightManager::convertToLamp(), LampForMaya::TranslationModelManager::convertToLamp(), LampForMaya::TranslationMeshManager::convertToLamp(), LampForMaya::TranslationMaterialManager::convertToLamp(), LampForMaya::TranslationTextureManager::convertToLamp(), and LampForMaya::TranslationPictureManager::convertToLamp(). Referenced by LampForMaya::LampTranslator::write().

The documentation for this class was generated from the following files:

- TranslationScene.h
- TranslationScene.cpp